#include "servo01.h"
#include <stdbool.h>
#include "io430.h"

int main(void)
{
  initialize();

  int position = 0;
  int bestPosition = 0;
  int bestBrightness = 0;
  while(position <= 100) // for-Schleife war noch nicht dran
  {
    setServoTo(position);
    waitMilliseconds(100);
    int brightness = readAnalog();
    if(brightness > bestBrightness)
    {
      bestBrightness = brightness;
      bestPosition = position;
    }
    position++;
  }
  position = bestPosition;

  while(true)
  {
    setServoTo(position);
    waitMilliseconds(500); 
    int brightness = readAnalog();

    setServoTo(position-5);
    waitMilliseconds(500);
    int brightnessLeft = readAnalog();

    if(brightnessLeft > brightness)
    {
      position -= 5;
    }
    else
    {
      setServoTo(position+5);
      waitMilliseconds(500);
      int brightnessRight = readAnalog();

      if(brightnessRight > brightness)
      {
        position += 5;
      }      
    }
  }
  
  return 0;
}